// Generated by gencpp from file hector_uav_msgs/LandingGoal.msg
// DO NOT EDIT!


#ifndef HECTOR_UAV_MSGS_MESSAGE_LANDINGGOAL_H
#define HECTOR_UAV_MSGS_MESSAGE_LANDINGGOAL_H


#include <string>
#include <vector>
#include <memory>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>

#include <geometry_msgs/PoseStamped.h>

namespace hector_uav_msgs
{
template <class ContainerAllocator>
struct LandingGoal_
{
  typedef LandingGoal_<ContainerAllocator> Type;

  LandingGoal_()
    : landing_zone()  {
    }
  LandingGoal_(const ContainerAllocator& _alloc)
    : landing_zone(_alloc)  {
  (void)_alloc;
    }



   typedef  ::geometry_msgs::PoseStamped_<ContainerAllocator>  _landing_zone_type;
  _landing_zone_type landing_zone;





  typedef boost::shared_ptr< ::hector_uav_msgs::LandingGoal_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::hector_uav_msgs::LandingGoal_<ContainerAllocator> const> ConstPtr;

}; // struct LandingGoal_

typedef ::hector_uav_msgs::LandingGoal_<std::allocator<void> > LandingGoal;

typedef boost::shared_ptr< ::hector_uav_msgs::LandingGoal > LandingGoalPtr;
typedef boost::shared_ptr< ::hector_uav_msgs::LandingGoal const> LandingGoalConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::hector_uav_msgs::LandingGoal_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::hector_uav_msgs::LandingGoal_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::hector_uav_msgs::LandingGoal_<ContainerAllocator1> & lhs, const ::hector_uav_msgs::LandingGoal_<ContainerAllocator2> & rhs)
{
  return lhs.landing_zone == rhs.landing_zone;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::hector_uav_msgs::LandingGoal_<ContainerAllocator1> & lhs, const ::hector_uav_msgs::LandingGoal_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace hector_uav_msgs

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::hector_uav_msgs::LandingGoal_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::hector_uav_msgs::LandingGoal_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::hector_uav_msgs::LandingGoal_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::hector_uav_msgs::LandingGoal_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::hector_uav_msgs::LandingGoal_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::hector_uav_msgs::LandingGoal_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::hector_uav_msgs::LandingGoal_<ContainerAllocator> >
{
  static const char* value()
  {
    return "9a975e3289dd0b8ab52f7f62f182cd2a";
  }

  static const char* value(const ::hector_uav_msgs::LandingGoal_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x9a975e3289dd0b8aULL;
  static const uint64_t static_value2 = 0xb52f7f62f182cd2aULL;
};

template<class ContainerAllocator>
struct DataType< ::hector_uav_msgs::LandingGoal_<ContainerAllocator> >
{
  static const char* value()
  {
    return "hector_uav_msgs/LandingGoal";
  }

  static const char* value(const ::hector_uav_msgs::LandingGoal_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::hector_uav_msgs::LandingGoal_<ContainerAllocator> >
{
  static const char* value()
  {
    return "# ====== DO NOT MODIFY! AUTOGENERATED FROM AN ACTION DEFINITION ======\n"
"# Landing pose, pose.z is ignored.\n"
"# If no stamp is provided, landing_zone is assumed to be empty and\n"
"# robot will land directly below\n"
"geometry_msgs/PoseStamped landing_zone\n"
"\n"
"================================================================================\n"
"MSG: geometry_msgs/PoseStamped\n"
"# A Pose with reference coordinate frame and timestamp\n"
"Header header\n"
"Pose pose\n"
"\n"
"================================================================================\n"
"MSG: std_msgs/Header\n"
"# Standard metadata for higher-level stamped data types.\n"
"# This is generally used to communicate timestamped data \n"
"# in a particular coordinate frame.\n"
"# \n"
"# sequence ID: consecutively increasing ID \n"
"uint32 seq\n"
"#Two-integer timestamp that is expressed as:\n"
"# * stamp.sec: seconds (stamp_secs) since epoch (in Python the variable is called 'secs')\n"
"# * stamp.nsec: nanoseconds since stamp_secs (in Python the variable is called 'nsecs')\n"
"# time-handling sugar is provided by the client library\n"
"time stamp\n"
"#Frame this data is associated with\n"
"string frame_id\n"
"\n"
"================================================================================\n"
"MSG: geometry_msgs/Pose\n"
"# A representation of pose in free space, composed of position and orientation. \n"
"Point position\n"
"Quaternion orientation\n"
"\n"
"================================================================================\n"
"MSG: geometry_msgs/Point\n"
"# This contains the position of a point in free space\n"
"float64 x\n"
"float64 y\n"
"float64 z\n"
"\n"
"================================================================================\n"
"MSG: geometry_msgs/Quaternion\n"
"# This represents an orientation in free space in quaternion form.\n"
"\n"
"float64 x\n"
"float64 y\n"
"float64 z\n"
"float64 w\n"
;
  }

  static const char* value(const ::hector_uav_msgs::LandingGoal_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::hector_uav_msgs::LandingGoal_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.landing_zone);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct LandingGoal_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::hector_uav_msgs::LandingGoal_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::hector_uav_msgs::LandingGoal_<ContainerAllocator>& v)
  {
    s << indent << "landing_zone: ";
    s << std::endl;
    Printer< ::geometry_msgs::PoseStamped_<ContainerAllocator> >::stream(s, indent + "  ", v.landing_zone);
  }
};

} // namespace message_operations
} // namespace ros

#endif // HECTOR_UAV_MSGS_MESSAGE_LANDINGGOAL_H
